.user-info {
    border-color: #E8ECEE !important;
}

.a-select-picker {
    position: relative;
    height: 5rem;

    &[data-focus='true'] {
        .rs-dropdown {
            .rs-dropdown-toggle {
                border-color: #7660FE;
            }
        }
    }

    [class~="error"] {
        .rs-dropdown {
            .rs-dropdown-toggle {
                border-color: #dd3a09;
            }
        }
    }

    label {
        position: absolute;
        top: 50%;
        left: 2px;
        z-index: 2;

        padding: 0 1.6rem;

        font-size: 1.3rem;
        font-weight: 500;

        transform: translateY(-50%);

        transition: all 0.25s;

        pointer-events: none;

        &.active {
            top: 10px;
            left: 2px;

            color: #7660FE;
            font-size: 1.2rem;
            font-weight: 500;
        }

        span {
            position: relative;
            z-index: 2;
        }
    }

    .a-select-picker__caret {
        position: absolute;
        top: 50%;
        right: 0.8rem;
        z-index: 3;

        width: 2.5rem;
        height: 2.5rem;

        object-fit: contain;
        object-position: center;

        transform: translateY(-50%);

        pointer-events: none;
    }

    .a-select-picker__dropdown {
        z-index: 1;
        width: 100%;

        &.focus {
            [class~="rs-dropdown-toggle"] {
                border-color: #7660FE;
            }

            [class~="rs-dropdown-menu"] {
                overflow: hidden;
                display: flex;
                flex-direction: column;
            }
        }

        &.hidden {
            .rs-dropdown-menu {
                // display: none;                
            }
        }

        [class~="rs-dropdown-toggle"] {
            width: 100%;
            height: 100%;
            min-height: 5rem;
            padding-right: 3.2rem;
            padding-top: 2rem;
            padding-left: 16px;
            overflow: hidden;

            background: #fff;
            border: 0.1rem solid #d5dee8;
            border-radius: 10px;
            color: #000000;
            font-weight: 500;
            font-size: 15px;
            line-height: 22px;
            box-shadow: none;

            text-align: left;
            text-overflow: ellipsis;
            white-space: nowrap;

            transition: border 0.25s;

            .rs-dropdown-toggle-caret {
                display: none;
            }

            .rs-ripple-pond {
                display: none;
            }
            svg {
                top: 10px;
                right: 14px;
                height: 27px;
            }
        }

        [class~="rs-dropdown-menu"] {
            max-height: 20rem;

            border-radius: 0.8rem;

            [class~="dropdown-menu-lg"] {
                min-width: 20rem;
            }

            [class~="dropdown-menu-xl"] {
                min-width: 30rem;
            }
        }

        [class~='rs-dropdown-item'] {
            color: #000000;
            font-size: 1.3rem;

            &.a-select-picker__dropdown-item {
                display: flex;
                align-items: center;

                .dropdown-item__checkbox {
                    margin: 0 1.2rem 0 0;

                    input[type='checkbox'] {
                        width: 1.8rem;
                    }
                }
            }

            &:hover {
                background: rgba($color: #7660FE, $alpha: 0.1);
                color: #7b809a;
            }
        }

        .searching {
            position: relative;
            height: 40px;
            min-height: 40px;
            display: flex;
            flex-direction: row;
            background: #FFFFFF;
            margin: 8px 10px;
            border-radius: 8px;
            border: 1px solid #d5dee8;
            text-overflow: ellipsis;

            img {
                position: absolute;
                width: 16px;
                height: 16px;
                top: 50%;
                left: 12px;
                transform: translateY(-50%);
            }

            input {
                width: 100%;
                padding: 0 16px 0 38px;
                border: unset;
            }
        }

        .dropdown-content {
            max-height: calc(100% - 50px);
            width: 100%;
            overflow: auto;
        }
    }
}

.a-select-picker.is-province {
    color: #374352;
    font-size: 1.4rem;

    label {
        font-size: 1.4rem;
        &.active {
            top: 30%;
            left: 2px;
            color: #7C68EE;
            font-size: 1.2rem;
        }
    }
    

    &.hidden {
        .rs-dropdown-menu {
            height: 100%;
        }
    }

    

    [class~="rs-dropdown-menu"] {
        max-height: 30rem;
    }

    .a-select-picker__dropdown {

        [class~="rs-dropdown-toggle"] {
            background: transparent;
            border: 0.1rem solid #E8EcEE;
            line-height: 34px;
        }

        [class~="rs-dropdown-placement"] {
            height: 100%;
        }

        .searching {

            input {
                height: 100% !important;
            }
        }

        [class~='rs-dropdown-item'] {
            font-size: 1.4rem;
            margin: 4px 0;
            padding: 8px 10px;
            line-height: 24px;
            &:hover {
                background-color: #FFF4F4;
                border-radius: 4px;
                color: #000;
            }

            &:focus-visible {
                background-color: #FFF4F4;
                border-radius: 4px;
            }

            &.is-selected {
                color: #fff;
                background-color: #F09B80;
                border-radius: 4px;
            }
        }

        [class~='rs-dropdown-item-focus'] {
            background-color: #FFF4F4;
            border-radius: 4px;
        }
    }

    .a-select-picker__dropdown[class~="rs-dropdown-placement"] {
        height: 100%;
    }

    .dropdown-content {
        padding: 20px;
    }

}